//
//  LineCollectionReusableView.m
//  Open
//
//  Created by 雷俊博 on 2019/8/6.
//  Copyright © 2019 黄江涛 . All rights reserved.
//

#import "LineCollectionReusableView.h"

#import "Constants.h"

@interface LineCollectionReusableView ()

@property (nonatomic, strong)UIView *lineView;

@end
@implementation LineCollectionReusableView
#pragma mark - life cycle
- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        [self addSubview:self.lineView];
        [self setupUI];
    }
    return self;
}

- (void)setupUI
{
    [self.lineView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.right.offset(0);
        make.top.offset(33/2.0 * WIDTHRADIU);
        make.height.offset(2 * WIDTHRADIU);
    }];
}
#pragma makr - getters  and setters
- (UIView *)lineView
{
    if (!_lineView) {
        _lineView = [[UIView alloc]init];
        _lineView.backgroundColor = [UIColor colorWithHex:0xfed003];
        //_lineView.backgroundColor = [UIColor clearColor];
    }
    return _lineView;
}
@end
